// Copyright (c) 2012 Bryan Schumaker.
#ifndef LIBSARIA_NODE_CPP
#define LIBSARIA_NODE_CPP

#include <list.h>
#include <cstddef>

namespace libsaria
{

	template <class T>
	ListItem<T>::ListItem()
	{
		prev_item = this;
		next_item = this;
	}

	template <class T>
	ListItem<T>::ListItem(T val, List<T> *lst, ListItem<T> *a, ListItem<T> *b)
	{
		list = lst;
		value = val;

		a->next_item = this;
		prev_item = a;
		next_item = b;
		b->prev_item = this;
	}

	template <class T>
	ListItem<T>::~ListItem()
	{
	}

	template <class T>
	T &ListItem<T>::get_value()
	{
		return value;
	}

	template <class T>
	ListItem<T> *ListItem<T>::next()
	{
		return next_item;
	}

}

#endif /* LIBSARIA_NODE_CPP */
