// Copyright (c) 2011 Bryan Schumaker.
#include <library.h>
#include <track.h>
#include <ban.h>

namespace libsaria
{

	void Track::set_banned(bool state)
	{
		banned = state;
		path->data_state = DIRTY;
		libsaria::library::save_path(path);

		if (state)
			libsaria::ban::track_banned(this);
		else
			libsaria::ban::track_unbanned(this);
	}

}; /* Namespace: libsaria */
