#!/usr/bin/python
import os, shutil

MAJOR = 5
MINOR = 11
BUG   = 0
EXTRA = ""
DEBUG = True

# Find version
version = "%s.%s" % (MAJOR, MINOR)
if BUG != 0:
	version = version + (".%s" % BUG)
if EXTRA != "":
	version = version + ("-%s" % EXTRA)
if DEBUG == True:
	version = version + "-debug"

# Install prefix
PREFIX = "/usr"


env = None
include = []
libsaria = []

def get_cpp_files():
	dirs = [x[0] for x in os.walk(".")]
	return [env.Glob(dir + "/*.cpp") for dir in dirs]

def copy(target, source, env):
	shutil.copy(str(source[0]), str(target[0]))

def symlink(target, source, env):
	os.symlink(str(source[0]), str(target[0]))
