#ifndef LIBSARIA_H
#define LIBSARIA_H

#include <notify.h>
#include <track.h>

namespace libsaria
{
	struct initdata {
		int argc;
		char **argv;
		string name;
		void (*on_notify)(notify_t, void *);
	};

	void init(struct initdata *);
	void quit();

	void play_outside_song(string &);
	void run_cmd(string &);
}

#endif /* LIBSARIA_H */
