// Copyright (c) 2012 Bryan Schumaker.
#ifndef LIBSARIA_NOTIFY_H
#define LIBSARIA_NOTIFY_H

enum notify_t {
	IDLE_ADD,		// NULL
	TRACK_CHANGED,		// libsaria::Track *
	PATH_ADDED,		// libsaria::library::Path *
	PATH_DELETED,		// libsaria::library::Path *
	PATH_UPDATED,		// libsaria::library::Path *
	PLAYING,		// NULL
	PAUSED,			// NULL
	PAUSE_TYPE,		// AutoPauseType *
	PAUSE_COUNT,		// unsigned int *
	PLAYLIST_NEW,		// libsaria::Playlist *
	PLAYLIST_DELETE,	// libsaria::Playlist *
	PLAYLIST_RENUMBER,	// libsaria::Playlist *
	PLAYLIST_CHANGED,	// libsaria::Playlist *
	PLAYLIST_ADD,		// libsaria::PlaylistNotification *
	PLAYLIST_RM,		// libsaria::PlaylistNotification *
	PLAYLIST_UPDATE,	// libsaria::PlaylistNotification *
	PLAYLIST_GOTO,		// libsaria::PlaylistNotification *
	NOTIFY_SIZE,
};

namespace libsaria
{
	void notify(notify_t, void *);
}

#endif /* LIBSARIA_NOTIFY_H */
